#!/usr/local/bin/bash

# -- ########################################################################
# -- Script om permissies voor de skins goed te zetten. Copyleft Ermis ICT
# -- Diensten en Producten (http://www.ermis.nl). Onder de GPL licentie bent
# -- u gerechtigd uw eigen aanpassingen te maken.
# -- ########################################################################
# -- De waarden van DIRADMINUSER en DIRADMINGROUP worden bepaald door de in-
# -- stellingen van UW systeem. Pas deze dus aan aan de namen die u gebruikt
# -- op uw systeem. Dit geldt ook voor het pad naar de nl skins waarbij dit
# -- script gebruik maakt van de SKINDIR variabele.
# -- Wanneer dit script executable is maar weigert te werken is wellicht het
# -- pad naar de bash shell niet correct in de eerste regel. Onder FreeBSD
# -- is het pad standaard /usr/local/bin/bash, maar in diverse Linux distri-
# -- buties kan het pad ook /bin/bash or /usr/bin/bash zijn. Doe een 
# -- which bash
# -- op de commando prompt om de locatie te zien op uw systeem en pas dan de
# -- eerste regel daarop aan.


DIRADMINUSER=diradmin
DIRADMINGROUP=diradmin
SKINDIR=/usr/local/directadmin/data/skins/enhanced


# -- De onderstaande regels hoeven over het algemeen niet te worden aangepast.
DIRPERMISSIONS=755
FILEPERMISSIONS=644
NLSKIN=$SKINDIR/lang/nl
IMGDIR=$SKINDIR/images


# -- Ga naar directory van de nl skins,
cd $SKINDIR


# -- Zet de permissies van alle directories van de nl skins op $DIRPERMISSIONS (zie regel 21).
for DIRECTORY in `find $NLSKIN -type d` ; do
	if [ $DIRECTORY != "." ]
	# -- . = huidige directory en hoeft niet te worden aangepast.
		then
			chmod $DIRPERMISSIONS $DIRECTORY
			chown $DIRADMINUSER:$DIRADMINGROUP $DIRECTORY
	fi
done


# -- Zet de permissies van alle bestanden van de nl skins op $FILEPERMISSIONS (zie regel 22).
for FILE in `find $NLSKIN -name "*.html"` ; do
	chmod $FILEPERMISSIONS $FILE
	chown $DIRADMINUSER:$DIRADMINGROUP $FILE
done


# -- Zet de permissies van alle gif bestanden van de images directory op $FILEPERMISSIONS (zie regel 22).
for FILE in `find $IMGDIR -name "*.gif"` ; do
	chmod $FILEPERMISSIONS $FILE
	chown $DIRADMINUSER:$DIRADMINGROUP $FILE
done


# -- Aanpassen permissions op files_custom.conf.
chmod $FILEPERMISSIONS $FILE files_custom.conf
chown $DIRADMINUSER:$DIRADMINGROUP files_custom.conf

# -- Al klaar.
